﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Documents.Excel;
using Microsoft.Win32;

namespace SpreadsheetMinimalPrototype
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        public MainWindow()
        {
            InitializeComponent();
        }

        private void ButtonLoadCustom_Click(object sender, RoutedEventArgs e)
        {
            var openFileDialog = new OpenFileDialog();
            openFileDialog.Filter = "Excel | *.xlsx";
            var result = openFileDialog.ShowDialog();
            if (result.HasValue && result.Value)
            {
                spreadSheet.Workbook = CreateFromFileExcel(openFileDialog.FileName);
                Worksheet worksheet = spreadSheet.Workbook.Worksheets[0];
                worksheet.Protect("pw",
                    allowInsertingColumns: true,
                    allowDeletingColumns: true,
                    allowInsertingRows: true,
                    allowDeletingRows: true,
                    allowInsertingHyperlinks: true,
                    allowEditObjects: false,
                    allowUsingPivotTables: true,
                    allowEditScenarios: false,
                    allowFiltering: true,
                    allowFormattingCells: true,
                    allowFormattingColumns: true,
                    allowFormattingRows: true,
                    allowSorting: true
                    );
            }
        }

        private Workbook CreateFromFileExcel(string fileName)
        {
            using (var fs = File.OpenRead(fileName))
            {
                return Workbook.Load(fs);
            }
        }
    }
}
